# Update a Manual Price List Item Updates an item and recalculates the specified Manual Price List. Endpoint: POST /manualpricelistmanager.update/{id}/recalculate Security: basic, X-PriceFx-jwt ## Path parameters: - `id` (string, required) The ID of the Manual Price List whose item you want to update. ## Request fields (application/json): - `data` (object, required) - `data.typedId` (string, required) typedId of the item (MPLI) you want to update. - `data.currency` (string) - `oldValues` (object) The type code is MPLI. - `oldValues.lastUpdateByName` (string) - `oldValues.createdByName` (string,null) - `oldValues.typedId` (string) - `oldValues.attribute19` (any) - `oldValues.attribute18` (any) - `oldValues.attribute17` (any) - `oldValues.lastUpdateDate` (string) - `oldValues.attribute16` (any) - `oldValues.attribute15` (any) - `oldValues.attribute25` (any) - `oldValues.attribute24` (any) - `oldValues.attribute23` (any) - `oldValues.attribute22` (any) - `oldValues.sku` (string) - `oldValues.attribute21` (any) - `oldValues.attribute20` (any) - `oldValues.createDate` (string) - `oldValues.comments` (string,null) - `oldValues.unitOfMeasure` (string) - `oldValues.pricelistId` (integer) - `oldValues.attribute29` (any) - `oldValues.attribute28` (any) - `oldValues.attribute27` (any) - `oldValues.attribute26` (any) - `oldValues.label` (string) - `oldValues.version` (integer) - `oldValues.attribute9` (any) - `oldValues.attribute8` (any) - `oldValues.attribute5` (any) - `oldValues.createdBy` (integer) - `oldValues.attribute4` (any) - `oldValues.attribute7` (any) - `oldValues.attribute6` (any) - `oldValues.attribute1` (any) - `oldValues.attribute14` (any) - `oldValues.attribute13` (any) - `oldValues.attribute3` (any) - `oldValues.attribute12` (any) - `oldValues.attribute2` (any) - `oldValues.attribute11` (any) - `oldValues.attribute10` (any) - `oldValues.attribute30` (any) - `oldValues.lastUpdateBy` (integer) - `operationType` (string) - `textMatchStyle` (string) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) A single item array with a string that represents the number of rows changed. - `response.status` (number)